## debian-installer 20081029ubuntu102.12+lp834009+lowell12

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_ARCH DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))


# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING

# Useful command sequences
define submake
  $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) |grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA1SUMS $(BASE_DEST)/SHA256SUMS
	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS
	cd $(BASE_DEST) && sha1sum `find . -type f` > SHA1SUMS
	cd $(BASE_DEST) && sha256sum `find . -type f` > SHA256SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel
	# in this case), so depmod will use its prune list for archs with no
	# modules.
	set -e; \
	$(foreach VERSION,$(KERNELVERSION), \
		sysmap_name=; sysmap_opt=; \
		if [ -n "$(VERSIONED_SYSTEM_MAP)" ]; then \
			[ ! -e $(TREE)/boot/System.map-$(VERSION) ] || sysmap_name="$(TREE)/boot/System.map-$(VERSION)"; \
		else \
			[ ! -e $(TREE)/boot/System.map ] || sysmap_name="$(TREE)/boot/System.map"; \
		fi; \
		[ -z "$$sysmap_name" ] || sysmap_opt="-F $$sysmap_name"; \
		if [ -d $(TREE)/lib/modules/$(VERSION) ] && [ -z "$(OMIT_DEPMOD)" ]; then \
			mkdir -p $(TREE)/lib/modules/$(VERSION)/kernel; \
			$(shell choose-subarch-env $(VERSION)) depmod $$sysmap_opt -q -a -b $(TREE)/ $(VERSION); \
		fi; \
		[ -z "$$sysmap_name" ] || mv $$sysmap_name $(TEMP);)

	# These files depmod makes are used by hotplug, if it's being used;
	# otherwise, we shouldn't need them. Some files aren't even used by
	# hotplug, so never include them.
	if [ -d $(TREE)/etc/udev ] || [ -d $(TREE)/etc/hotplug ]; then \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -name modules.alias \
			-not -name 'modules.*map' \
			-not -type d | xargs rm -f; \
	else \
		find $(TREE)/lib/modules/ -name 'modules*' \

=== doc/devel/internals/Makefile ===
all: *.xsl *.xml
	./build.sh

clean:
	rm -f index.html

=== debian/changelog ===
debian-installer (20081029ubuntu102.12+lp834009+lowell12) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - fixing up natty-netboot:preseed/late_command to work properly in chroot 

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 18 Oct 2011 16:41:51 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell11) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - dpkg prefers to be in a chroot (even with --root= :))

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 18 Oct 2011 16:09:01 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell10) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - late_command to install cannical-oem-keyring deb in build/boot/x86/natty-netboot.preseed

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 18 Oct 2011 14:11:12 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell9) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - allow un-authenticated in build/boot/x86/natty-netboot.preseed

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 17 Oct 2011 22:39:02 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell8) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - remove preseed/early_command in build/boot/x86/natty-netboot.preseed
    - add canonical-oem-keyring-udeb to build/pkg-lists/netboot/local
    - add canonical-oem-keyring-udeb_2009.07.23+build3_all.udeb to build/localudebs

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 17 Oct 2011 21:54:52 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell7) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - use preseed/early_command in build/boot/x86/natty-netboot.preseed to grab canonical-oem-keyring and install it

 -- Chris Van Hoof <vanhoof@canonical.com>  Mon, 17 Oct 2011 18:47:22 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell5) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - build/config/{amd64,i386}.cfg: generate 'cdrom' and 'natty-netboot' media images only
    - build/config/{amd64/i386}/natty-netboot.cfg: use 2.6.38-11 kernel

 -- Chris Van Hoof <vanhoof@canonical.com>  Sat, 15 Oct 2011 17:52:17 -0400

debian-installer (20081029ubuntu102.12+lp834009+lowell4) lucid; urgency=low

  * hwe-lowell PPA/oem-ibs customization:
    - build/config/common: Remove lucid-* from USE_UDEBS_FROM_EXTRA
    - build/config/{amd64,i386}.cfg: generate 'cdrom' media image only
    - build/config/{amd64/i386}/cdrom.cfg: use 2.6.38-11 kernel

 -- Kamal Mostafa <kamal@canonical.com>  Fri, 26 Aug 2011 10:55:07 -0700

debian-installer (20081029ubuntu102.12+lp834009) lucid-proposed; urgency=low

  * Build images with the lts-backport-natty kernel (2.6.38-10) for amd64
    and i386, which are themselves configured to install the
    lts-backport-natty kernel (LP: #834009).

 -- Kamal Mostafa <kamal@canonical.com>  Thu, 25 Aug 2011 15:57:28 -0700

debian-installer (20081029ubuntu102.12) lucid-proposed; urgency=low

  * Move to 2.6.32-34 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Aug 2011 18:09:12 +0100

debian-installer (20081029ubuntu102.11) lucid-proposed; urgency=low

  * Move maverick-* images to 2.6.35-30 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Aug 2011 17:23:19 +0100

debian-installer (20081029ubuntu102.10) lucid-proposed; urgency=low

  * Move to 2.6.32-33 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Jul 2011 10:13:34 +0100

debian-installer (20081029ubuntu102.9) lucid-proposed; urgency=low

  * Move to 2.6.32-32 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Jun 2011 10:16:18 +0100

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.6.2
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, ubuntu-keyring, dpkg (>= 1.13.9), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], uboot-mkimage [arm armel], redboot-tools (>= 0.6) [arm armel], syslinux (>= 2:3.63+dfsg-2) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm], redboot-imx51-babbage [arm armel], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 4)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- ubuntu-keyring
#		To provide the archive key for security checks.
#	- dpkg (>= 1.13.9)
#		We tweak dpkg logging options only understood by this
#		version.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- wget
#		Used to test validity of mirrors.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.25)
#		We use mklibs for library reduction.
#	- mklibs-copy [mips mipsel]
#		Temporarily used because mklibs doesn't work (see #445507)
#	- genisoimage [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc ppc64]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools [i386 ia64 m68k amd64]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#	- cpio
#		For creating initramfs images.
#	- devio [arm armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- slugimage (>= 0.10+r58-6) [arm armeb armel]
#		For building nslu2 firmware images.
#	- nwutil [arm]
#		For building netwinder netinst images.
#	- uboot-mkimage [arm armel]
#		For creating u-boot images
#	- redboot-tools (>= 0.6) [arm armel]
#		For creating redboot SD card images for imx51 babbage boards
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2:3.63+dfsg-2) [i386 amd64]
#		With menu default64 support.		
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc ppc64]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo (>= 1.21-1) [mipsel]
#		For booting Cobalt machines. This version has TFTP support.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- apex-nslu2 [arm]
#		2nd stage bootloader for Linksys NSLU2.
#	- redboot-imx51-babbage [arm armel]
#		Redboot bootloader binaries for SD card images for imx51
#
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64]
#	- python [i386 amd64]
#		For building gfxboot help texts.
#
#	- module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- upx-ucl (>= 3) [i386]
#		i386 uses upx to compress kernels and other binaries.
#	- mkvmlinuz [powerpc ppc64]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl [arm armel]
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it.

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#!/usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=lucid
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=$(SUITE)
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20081029ubuntu102.14

=== debian/changelog ===
debian-installer (20081029ubuntu102.14) lucid-proposed; urgency=low

  * Rebuild against current lts-backport-oneiric kernel.
  * Move Dove images to 2.6.32-219 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Jan 2012 17:41:07 +0000

debian-installer (20081029ubuntu102.13) lucid-proposed; urgency=low

  * Add natty and oneiric images for amd64 and i386, built with the
    respective backported kernels (LP: #881529).
  * Move to 2.6.32-38 kernels.
  * Move maverick-* images to 2.6.35-32 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Jan 2012 15:32:11 +0000

## debian-installer 20081029ubuntu102.16

=== debian/changelog ===
debian-installer (20081029ubuntu102.16) lucid-proposed; urgency=low

  * Move to 2.6.32-41 kernels.
  * Move natty-* images to 2.6.38-15 kernels.
  * Move oneiric-* images to 3.0.0-22 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jul 2012 10:00:33 +0100

debian-installer (20081029ubuntu102.15) lucid-proposed; urgency=low

  * Move to 2.6.32-40 kernels.
  * Move oneiric-* images to 3.0.0-17 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Mar 2012 03:57:56 +0100

## debian-installer 20081029ubuntu102.17

=== debian/changelog ===
debian-installer (20081029ubuntu102.17) lucid; urgency=low

  * Move to 2.6.32-47 kernels.
  * Move natty-* images to 2.6.38-16 kernels.
  * Move oneiric-* images to 3.0.0-32 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 13:45:23 +0100

## debian-installer 20081029ubuntu102.18

=== debian/changelog ===
debian-installer (20081029ubuntu102.18) lucid; urgency=low

  * Move to 2.6.32-50 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Jul 2013 18:32:44 +0100

## debian-installer 20090123lenny8

=== build/Makefile ===
--- 
+++ 
@@ -267,10 +267,8 @@
 release:
 	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
 		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
-	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA1SUMS $(BASE_DEST)/SHA256SUMS
+	rm -f $(BASE_DEST)/MD5SUMS
 	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS
-	cd $(BASE_DEST) && sha1sum `find . -type f` > SHA1SUMS
-	cd $(BASE_DEST) && sha256sum `find . -type f` > SHA256SUMS
 
 # The general tree target.
 $(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
@@ -384,3 +382,8 @@
 			-not -type d | xargs rm -f; \
 	else \
 		find $(TREE)/lib/modules/ -name 'modules*' \
+			-not -name modules.dep -not -type d | xargs rm -f; \
+	fi
+
+	# These files are used to build special kernel images for some
+	# subarchitectures. Move them out of the way.

=== debian/changelog ===
debian-installer (20090123lenny8) stable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-26

 -- dann frazier <dannf@debian.org>  Tue, 23 Nov 2010 22:40:01 -0700

debian-installer (20090123lenny7) stable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-23

 -- dann frazier <dannf@debian.org>  Fri, 18 Jun 2010 10:28:34 -0600

debian-installer (20090123lenny6) stable; urgency=low

  [ Frans Pop ]
  * gen-sources.list.udeb: allow for multiple spaces and tabs in a source line.

  [ dann frazier ]
  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-21

 -- dann frazier <dannf@debian.org>  Thu, 21 Jan 2010 10:28:21 -0700

debian-installer (20090123lenny5) stable; urgency=low

  * Implement clean method to include udebs from proposed-updates for builds
    for stable and testing (backported from trunk).
  * Activate use of proposed-updates for official builds.

 -- Frans Pop <fjp@debian.org>  Wed, 23 Dec 2009 15:15:34 +0000

debian-installer (20090123lenny4) stable; urgency=low

  [ Frans Pop ]
  * Use printf instead of 'echo -en' to create win32-loader.ini.
    Closes: #539933.

  [ dann frazier ]
  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-19

 -- dann frazier <dannf@debian.org>  Tue, 25 Aug 2009 23:18:34 -0600

debian-installer (20090123lenny3) stable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-17

 -- dann frazier <dannf@debian.org>  Wed, 24 Jun 2009 23:21:14 -0600

debian-installer (20090123lenny2) stable; urgency=low

  * Rebuilt due cdebconf and kernel updates.

 -- Otavio Salvador <otavio@debian.org>  Tue, 16 Jun 2009 11:11:30 -0300

debian-installer (20090123lenny1) stable; urgency=low

  [ Martin Michlmayr ]
  * Include minix-modules on the orion5x image for the D-Link DNS-323,
    thanks Matt Palmer.
  * Generate images for the D-Link DNS-323 and Conceptronic CH3SNAS,
    thanks Matt Palmer.  Closes: #503040.
  
  [ Otavio Salvador ]
  * Bump kernel versions to 2.6.26-2.

 -- Otavio Salvador <otavio@debian.org>  Wed, 08 Apr 2009 00:29:38 -0300

debian-installer (20090123) unstable; urgency=low

  [ Frans Pop ]
  * Add build dependency on docbook-xml, needed for D-I internals.

 -- Otavio Salvador <otavio@debian.org>  Fri, 23 Jan 2009 12:38:07 -0200

debian-installer (20090122) unstable; urgency=low

  [ Martin Michlmayr ]
  * Fix off-by-one: the QNAP initrd should be padded to exactly 4 MB,
    not 4 MB - 1 byte.

  [ Otavio Salvador ]
  * Add pata-modules on cdrom images (i386 and amd64) to enable support
    for Marvell controllers and others.

  [ Frans Pop ]
  * Update minimum memory/diskspace requirements in x86 syslinux help
    screens. New values are the same as in the Installation Guide.

  [ Samuel Thibault ]
  * Add uinput-modules to cdrom, netboot and hd-media images (amd64, alpha,
    i386, ppc64, ia64 and powerpc) to improve brltty device support.

  [ Otavio Salvador ]
  * Apply patch from Jurij Smakov to add usb-storage to cdrom and netboot
    images (sparc) to allow firmware to be loaded from a usb devices.
    Closes: #505789.

  [ Frans Pop ]
  * Add option in syslinux configuration to return to graphical boot menu
    from the help screens. Based on research done by Franklin Piat.
    Closes: #505750.
  * Rename syslinux adamd*.cfg files to amdad*.cfg.
  * Rename syslinux *text.cfg files to *txt.cfg. This is needed because
    adamdtext.cfg is one character too long which means it was never actually
    included in the menu for multi-arch images.

  [ Franklin Piat ]
  * Add help text for help option in graphical syslinux boot menu to indicate
    how to return to the menu from the help screens.
    The new configuration also improves editing the command line from the
    graphical syslinux menu if it flows over into a second line.

  [ Frans Pop ]
  * Add ext2-modules to hd-media images for i386, amd64 and powerpc.
    Closes: #510015.
  * Update copyright to 2009.

 -- Otavio Salvador <otavio@debian.org>  Thu, 22 Jan 2009 21:05:03 -0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: debian-installer
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.6.2
-XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
+Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, ubuntu-keyring, dpkg (>= 1.13.9), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], uboot-mkimage [arm armel], redboot-tools (>= 0.6) [arm armel], syslinux (>= 2:3.63+dfsg-2) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm], redboot-imx51-babbage [arm armel], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64], python [i386 amd64], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel]
+Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, debian-archive-keyring (>= 2006.11.22), dpkg (>= 1.13.9), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], dns323-firmware-tools [armel], nwutil [arm], uboot-mkimage [arm armel], syslinux (>= 2:3.63+dfsg-2) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb armel], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386], mkvmlinuz [powerpc ppc64], openssl [arm armel], win32-loader [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -26,7 +24,7 @@
 # 		apt-ftparchive is used for including localudebs.
 #	- gnupg
 #		New versions of apt need gnupg for security checks.
-#	- ubuntu-keyring
+#	- debian-archive-keyring (>= 2006.11.22)
 #		To provide the archive key for security checks.
 #	- dpkg (>= 1.13.9)
 #		We tweak dpkg logging options only understood by this
@@ -40,12 +38,11 @@
 #	- debiandoc-sgml
 #		partman's manual is in debiandoc.
 #	- xsltproc
+#	- docbook-xml
 #	- docbook-xsl
 #		The d-i internals manual is in DocBook XML.
 #	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
 #		For bdftobogl used in font reduction.
-#	- lsb-release
-#		Provides system version information.
 #	
 # Library build dependencies:
 #	- glibc-pic
@@ -98,12 +95,12 @@
 #		kernels and add nslu2 boot magic.
 #	- slugimage (>= 0.10+r58-6) [arm armeb armel]
 #		For building nslu2 firmware images.
+#	- dns323-firmware-tools [armel]
+#		For building firmware images for the D-Link DNS-323.
 #	- nwutil [arm]
 #		For building netwinder netinst images.
 #	- uboot-mkimage [arm armel]
 #		For creating u-boot images
-#	- redboot-tools (>= 0.6) [arm armel]
-#		For creating redboot SD card images for imx51 babbage boards
 #
 # Boot loaders:
 #	On many arches boot loaders are copied onto or ran on the boot
@@ -143,11 +140,8 @@
 #	- emile [m68k]
 #	- emile-bootblocks [m68k]
 #		Bootloader for m68k/mac machines.
-#	- apex-nslu2 [arm]
+#	- apex-nslu2 [arm armeb armel]
 #		2nd stage bootloader for Linksys NSLU2.
-#	- redboot-imx51-babbage [arm armel]
-#		Redboot bootloader binaries for SD card images for imx51
-#
 # Architecture specific build dependencies:
 #	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
 #		For todos, used on files that need to be accessible from
@@ -155,9 +149,6 @@
 #	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64]
 #		mcopy is used to put files onto FAT filesystems w/o
 #		mounting them.
-#	- po4a [i386 amd64]
-#	- python [i386 amd64]
-#		For building gfxboot help texts.
 #
 #	- module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc ppc64 s390 sparc]
 #		depmod for 2.6 kernels on the arches that support 2.6.
@@ -173,6 +164,8 @@
 #	- openssl [arm armel]
 #		Used to encrypt a firmware image so an ARM based device
 #		(Thecus N2100) will accept it.
+#	- win32-loader [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
+#		Alternative boot method for win32 platforms.
 
 Package: debian-installer
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,19 +3,20 @@
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
-SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
+SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=lucid
+USE_UDEBS_FROM=unstable
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=$(SUITE)
+USE_UDEBS_FROM=lenny
+USE_PROPOSED_UPDATES=1
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
-DESTDIR=$(ARCHIVEDIR)/$(VERSION)
+DESTDIR=$(ARCHIVEDIR)/$(DATE)
 IMAGEDIR=$(DESTDIR)/images
 TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz
 
@@ -31,6 +32,7 @@
 build-images:
 	$(MAKE) -C build all_build stats release \
 		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
+		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
 		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
 	
 build: build-stamp
@@ -50,7 +52,7 @@
 
 	install -d $(IMAGEDIR)
 	cp -a build/dest/* $(IMAGEDIR)
-	ln -s $(VERSION) $(ARCHIVEDIR)/current
+	ln -s $(DATE) $(ARCHIVEDIR)/current
 
 binary-arch: install  
 	dh_testdir

## debian-installer 20090123lenny9

=== debian/changelog ===
debian-installer (20090123lenny9) oldstable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-27

 -- dann frazier <dannf@debian.org>  Sat, 24 Sep 2011 09:15:39 -0600

## debian-installer 20090123lenny10

=== debian/changelog ===
debian-installer (20090123lenny10) oldstable; urgency=low

  * Rebuild to incorporate linux-kernel-di packages based upon
    linux-2.6 2.6.26-29

 -- dann frazier <dannf@debian.org>  Thu, 08 Mar 2012 21:00:49 -0700
